# Configuración de Decap CMS para Finanzia Blog
# Backend usando Git Gateway (requiere Netlify o configuración alternativa)
backend:
  name: git-gateway
  branch: master # Cambia esto si tu rama principal tiene otro nombre

# Configuración local para desarrollo
local_backend: false

# Configuración de medios
media_folder: "src/assets/images" # Donde se guardarán las imágenes subidas
public_folder: "/@assets/images" # Ruta pública para las imágenes

# Idioma de la interfaz
locale: 'es'

# Colecciones
collections:
  # Colección de Posts del Blog
  - name: "blog"
    label: "Posts del Blog"
    folder: "src/data/blog"
    create: true
    slug: "{{slug}}"
    fields:
      - {label: "Autor", name: "author", widget: "string", default: "Finanzia"}
      - {label: "Fecha de Publicación", name: "pubDatetime", widget: "datetime", format: "YYYY-MM-DDTHH:mm:ssZ", date_format: "YYYY-MM-DD", time_format: "HH:mm"}
      - {label: "Fecha de Modificación", name: "modDatetime", widget: "datetime", format: "YYYY-MM-DDTHH:mm:ssZ", date_format: "YYYY-MM-DD", time_format: "HH:mm", required: false}
      - {label: "Título", name: "title", widget: "string"}
      - {label: "Slug", name: "slug", widget: "string", required: false, hint: "Deja en blanco para generar automáticamente"}
      - {label: "Destacado", name: "featured", widget: "boolean", default: false}
      - {label: "Borrador", name: "draft", widget: "boolean", default: false}
      - label: "Tags"
        name: "tags"
        widget: "select"
        multiple: true
        create: true
        default: ["Finanzia"]
        options:
          - "Finanzia"
          - "Tutoriales"
          - "Comandos"
          - "Desarrollo"
          - "Actualizaciones"
          - "Guías"
          - "Noticias"
      - {label: "Imagen OG", name: "ogImage", widget: "image", required: false, hint: "Imagen para compartir en redes sociales"}
      - {label: "Descripción", name: "description", widget: "text"}
      - {label: "URL Canónica", name: "canonicalURL", widget: "string", required: false}
      - {label: "Ocultar botón de edición", name: "hideEditPost", widget: "boolean", default: false, required: false}
      - {label: "Zona Horaria", name: "timezone", widget: "string", default: "America/Bogota", required: false}
      - {label: "Contenido", name: "body", widget: "markdown"}
